Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77241 - esd peaks CPU w/ kernel 2.4.18-17.8.0 on Dell Inspiron 8100
Summary: esd peaks CPU w/ kernel 2.4.18-17.8.0 on Dell Inspiron 8100
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 03:07 UTC by Casey Winans
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-16 11:07:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:262 normal SHIPPED_LIVE : New kernel fixes local denial of service issue 2002-09-23 04:00:00 UTC

Description Casey Winans 2002-11-04 03:07:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021028

Description of problem:
Upgraded from the 2.4.18-14 kernel to the 1.4.18-17.8.0 and sound no longer
worked and esd would peak the CPU indefinitely

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade from the 2.4.18-14 kernel to the 2.4.18-17.8.0 kernel
2. Restart using the new kernel
3. Use XMMS or the redhat sound config tool to play an audio file
	

Actual Results:  The CPU is peaked (and remains peaked indefinitely) and I had
to manually end the process using the system monitor

Expected Results:  It should have played the audio file (ie. mp3, ogg, wav, etc...)

Additional info:

The Dell Inspiron 8100 laptop I use has the Maestro3 chip onboard. I fixed this
problem by simply degrading back to the 2.4.18-14 kernel

Comment 1 David Woodhouse 2002-11-04 13:30:49 UTC
A better workaround than downgrading to 2.4.18-14:

echo "options maestro3 gpio_pin=1" >> /etc/modules.conf

Comment 2 Arjan van de Ven 2002-11-04 19:02:22 UTC
There is a kernel with a proposed fix in
http://people.redhat.com/arjanv/testkernels

Comment 3 Arjan van de Ven 2002-11-16 11:07:04 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-262.html



Note You need to log in before you can comment on or make changes to this bug.